Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 459218 - Review Request: python-morph - Image Morphology Toolbox
Summary: Review Request: python-morph - Image Morphology Toolbox
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-08-15 02:53 UTC by kushaldas@gmail.com
Modified: 2008-10-07 15:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-07 15:13:25 UTC


Attachments (Terms of Use)

Description kushaldas@gmail.com 2008-08-15 02:53:16 UTC
Spec URL: http://kushal.fedorapeople.org/packages/python-morph.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-morph-0.89-1.fc9.src.rpm
Description: The image morphology toolbox implements the basic binary and grayscale morphology operations, working with numpy arrays to hold image data.

Comment 1 Jason Tibbitts 2008-08-16 14:33:53 UTC
This package is clean, but I believe it is improperly named.  I can't get to the wiki to look at the guidelines right now, so I'll just skip the bits about naming in the review.  I'm thinking that either "pymorph" or "python-pymorph" would be proper names under the guidelines, but since you don't "import morph", I don't believe it should be named just "python-morph".

It looks like 0.90 was released at about the same time you submitted this ticket.  I don't see anything in the new version that would affect this review, but if you'd like for me to look over an updated package then I will.

I tried to test this by running "python morphdemo.py" with the package installed, but I only get:

/usr/lib/python2.5/site-packages/pymorph/compat.py:489: Warning: 'with' will become a reserved keyword in Python 2.6
Traceback (most recent call last):
  File "../../morphdemo.py", line 39, in <module>
    from pymorph.compat import *
  File "/usr/lib/python2.5/site-packages/pymorph/compat.py", line 507
    def mmcwatershed(f,Bc=None,linereg='LINES'):
      ^
SyntaxError: invalid syntax

I'm not sufficiently familiar with python to understand what's happening.

* source files match upstream:
   2bcd2d061fc539af983bfec221a99cff2a9c9389a1615a6fab471b40864cd935  
   pymorph-0.89.tar.gz
* specfile is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package (in README file).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python-morph = 0.89-1.fc10
  =
   numpy
   python(abi) = 2.5

? Manual tests seem to fail.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Jason Tibbitts 2008-10-01 16:20:37 UTC
Anything happening here?

Comment 3 Jason Tibbitts 2008-10-07 15:13:25 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.